{
  "db_name": "PostgreSQL",
  "query": "UPDATE applications SET status = $1, updated_at = NOW() WHERE id = $2 RETURNING *",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Uuid"
      },
      {
        "ordinal": 1,
        "name": "job_id",
        "type_info": "Uuid"
      },
      {
        "ordinal": 2,
        "name": "job_seeker_id",
        "type_info": "Uuid"
      },
      {
        "ordinal": 3,
        "name": "cover_letter",
        "type_info": "Text"
      },
      {
        "ordinal": 4,
        "name": "resume_url",
        "type_info": "Varchar"
      },
      {
        "ordinal": 5,
        "name": "status",
        "type_info": "Varchar"
      },
      {
        "ordinal": 6,
        "name": "applied_at",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 7,
        "name": "updated_at",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 8,
        "name": "contact_viewed",
        "type_info": "Bool"
      }
    ],
    "parameters": {
      "Left": [
        "Varchar",
        "Uuid"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      true,
      true,
      false,
      false,
      false,
      false
    ]
  },
  "hash": "42e328ea093a2614dd7e4ee4defb3492cbca507393e2cd515c1988dc8f029559"
}
